/**
 * 新填报下的按钮
 * @class WT.Button
 * @extends WT.BaseButton
 *
 * @cfg {JSON} options 配置属性 (See WT.BaseButton)
 */
WT.Button = FR.extend(WT.BaseButton, {

    TYPE: 'WT.Button',

    _defaultConfig: function () {
        return $.extend(WT.Button.superclass._defaultConfig.apply(), {
            width: 80
        });
    },

    _initView: function () {
        WT.Button.superclass._initView.apply(this);
        this.element.addClass('wt-button');
        this.element.on('click', function (e) {
            e.stopPropagation();
        });
    }

});