/**
 * 新填报下的下拉框选项按钮
 * @class WT.ComboButton
 * @extends WT.BaseButton
 *
 * @cfg {JSON} options 配置属性
 * @cfg {String} options.text 文本
 * @cfg {String} options.textCls 文本class
 */
WT.ComboButton = FR.extend(WT.BaseButton, {

    TYPE: 'WT.ComboButton',

    _defaultConfig: function () {
        return $.extend(WT.ComboButton.superclass._defaultConfig.apply(), {
            textCls: null,
            textAlign: 'left',
            horizontalPadding: 5
        });
    },

    _initView: function () {
        WT.ComboButton.superclass._initView.apply(this);
        var o = this.options;
        this.element.addClass('wt-combo-item wt-border-box');
        if (o.textCls) {
            this.text.element.addClass(o.textCls);
        }
    }

});