/**
 * 文本框控件
 * @class WT.TextEditor
 *
 * @cfg {JSON} options 配置属性
 */
WT.TextEditor = FR.extend(WT.BaseEditor, {

    TYPE: 'WT.TextEditor',

	_defaultConfig: function () {
        return $.extend(WT.TextEditor.superclass._defaultConfig.apply(), {
			//
		});
	},

	/**
	 * @extends WT.BaseEditor._initVariable()
	 * @protected
	 */
	_initVariable: function () {
		WT.TextEditor.superclass._initVariable.apply(this);
	},

	/**
	 * @extends WT.BaseEditor._initView()
	 * @protected
	 */
	_initView: function () {
        WT.TextEditor.superclass._initView.apply(this);
        this.element.css('background', 'white');
	}
});